## ros-jazzy-ros-gz-bridge 1.0.0

=== debian/changelog ===
ros-jazzy-ros-gz-bridge (1.0.0-1bookworm) bookworm; urgency=high

  * Use gz_vendor packages (#531 <https://github.com/gazebosim/ros_gz/issues/531>)
  * Added conversion for Detection3D and Detection3DArray (#523 <https://github.com/gazebosim/ros_gz/issues/523>) (#525 <https://github.com/gazebosim/ros_gz/issues/525>)
    Co-authored-by: wittenator <mailto:9154515+wittenator@users.noreply.github.com>
  * [Backport rolling] Add ROS namespaces to GZ topics (#517 <https://github.com/gazebosim/ros_gz/issues/517>)
    Co-authored-by: Krzysztof Wojciechowski <mailto:49921081+Kotochleb@users.noreply.github.com>
  * ign to gz (#519 <https://github.com/gazebosim/ros_gz/issues/519>)
  * Correctly export ros_gz_bridge for downstream targets (#503 <https://github.com/gazebosim/ros_gz/issues/503>)
  * Add a virtual destructor to suppress compiler warning (#502 <https://github.com/gazebosim/ros_gz/issues/502>)
  * Add conversion for geometry_msgs/msg/TwistStamped <-> gz.msgs.Twist (#468 <https://github.com/gazebosim/ros_gz/issues/468>)
  * Added messages for 2D Bounding Boxes to ros_gz_bridge (#458 <https://github.com/gazebosim/ros_gz/issues/458>) (#466 <https://github.com/gazebosim/ros_gz/issues/466>)
    Co-authored-by: Alejandro Hernandez Cordero <mailto:ahcorde@gmail.com>
  * populate imu covariances when converting (#375 <https://github.com/gazebosim/ros_gz/issues/375>)
  * Contributors: Addisu Z. Taddese, Alejandro Hernández Cordero, El Jawad Alaa, Michael Carroll

 -- Aditya Pande <adityapande@intrinsic.ai>  Wed, 24 Apr 2024 05:00:00 -0000

ros-jazzy-ros-gz-bridge (0.246.0-1bookworm) bookworm; urgency=high

  * Add harmonic CI (#447 <https://github.com/gazebosim/ros_gz/issues/447>)
    * Add harmonic CI
    * Include garden options
    * Add harmonic stanza
    * Additional message headers
    ---------
  * SensorNoise msg bridging (#417 <https://github.com/gazebosim/ros_gz/issues/417>)
  * Added Altimeter msg bridging (#413 <https://github.com/gazebosim/ros_gz/issues/413>)
  * Update README.md (#411 <https://github.com/gazebosim/ros_gz/issues/411>)
    The ROS type for gz.msgs.NavSat messages should be **sensor_msgs/msg/NavSatFix** instead of **sensor_msgs/msg/NavSatFixed**
  * Add missing rosidl_cmake dep to ros_gz_bridge (#391 <https://github.com/gazebosim/ros_gz/issues/391>)
    Co-authored-by: Chris Lalancette <mailto:clalancette@gmail.com>
  * allow converting from/to TwistWithCovarianceStamped (#374 <https://github.com/gazebosim/ros_gz/issues/374>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Added doc (#393 <https://github.com/gazebosim/ros_gz/issues/393>)
  * Port: humble to ros2 (#386 <https://github.com/gazebosim/ros_gz/issues/386>)
  * Merge branch 'humble' into mjcarroll/humble_to_ros2
  * allow converting from/to PoseWithCovarianceStamped (#381 <https://github.com/gazebosim/ros_gz/issues/381>)
    * allow converting from/to PoseWithCovarianceStamped
  * Add actuator_msgs to bridge. (#378 <https://github.com/gazebosim/ros_gz/issues/378>)
  * Update maintainers (#376 <https://github.com/gazebosim/ros_gz/issues/376>)
  * Fix warning message (#371 <https://github.com/gazebosim/ros_gz/issues/371>)
  * Improve error messages around config loading (#356 <https://github.com/gazebosim/ros_gz/issues/356>)
  * Bringing the Joy to gazebo. (#350 <https://github.com/gazebosim/ros_gz/issues/350>)
    Enable using the gazebo bridge with Joy.
  * Fix double wait in ros_gz_bridge (#347 <https://github.com/gazebosim/ros_gz/issues/347>)
  * Create bridge for GPSFix msg (#316 <https://github.com/gazebosim/ros_gz/issues/316>)
  * Humble ➡️ ROS2 (#323 <https://github.com/gazebosim/ros_gz/issues/323>)
  * Contributors: Aditya Pande, Alejandro Hernández Cordero, Arjun K Haridas, Benjamin Perseghetti, El Jawad Alaa, Michael Carroll, Rousseau Vincent, Yadu, ahcorde, ymd-stella

 -- Aditya Pande <adityapande@intrinsic.ai>  Thu, 31 Aug 2023 05:00:00 -0000

ros-jazzy-ros-gz-bridge (0.245.0-1bookworm) bookworm; urgency=high

  * humble to ros2 (#311 <https://github.com/gazebosim/ros_gz/issues/311>)
    Co-authored-by: Michael Carroll <mailto:michael@openrobotics.org>
  * Remove Humble+ deprecations (#312 <https://github.com/gazebosim/ros_gz/issues/312>)
    * Remove Humble+ deprecations
  * Merge remote-tracking branch 'origin/humble' into ahcorde/humble_to_ros2
  * Remove all ignition references on ROS 2 branch (#302 <https://github.com/gazebosim/ros_gz/issues/302>)
    * Remove all shims
    * Update CMakeLists and package.xml for garden
    * Complete garden gz renaming
    * Drop fortress CI
  * Contributors: Alejandro Hernández Cordero, Michael Carroll, ahcorde

 -- Aditya Pande <adityapande@intrinsic.ai>  Wed, 12 Oct 2022 05:00:00 -0000

ros-jazzy-ros-gz-bridge (0.244.10-1bookworm) bookworm; urgency=high

  * Fix warning message (#371 <https://github.com/gazebosim/ros_gz/issues/371>)
  * Introduce WrenchStamped into bridge (#327 <https://github.com/gazebosim/ros_gz/issues/327>)
  * Humbly bringing the Joy to gazebo. (#353 <https://github.com/gazebosim/ros_gz/issues/353>)
  * Make the bridge aware of both gz and ignition msgs (#349 <https://github.com/gazebosim/ros_gz/issues/349>)
  * Contributors: Benjamin Perseghetti, El Jawad Alaa, Michael Carroll, livanov93

 -- Aditya Pande <adityapande@intrinsic.ai>  Wed, 03 May 2023 05:00:00 -0000

ros-jazzy-ros-gz-bridge (0.244.9-1bookworm) bookworm; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Thu, 03 Nov 2022 05:00:00 -0000

ros-jazzy-ros-gz-bridge (0.244.8-1bookworm) bookworm; urgency=high



 -- Aditya Pande <adityapande@intrinsic.ai>  Fri, 28 Oct 2022 05:00:00 -0000

ros-jazzy-ros-gz-bridge (0.244.7-1bookworm) bookworm; urgency=high

  * Make sure that ign_* yaml configs work as well (#310 <https://github.com/gazebosim/ros_gz/issues/310>)
  * Bridge between msgs::Float_V and ros_gz_interfaces/Float32Array msg types (#306 <https://github.com/gazebosim/ros_gz/issues/306>)

