## ros-jazzy-ros-gz-bridge 1.0.4

=== debian/changelog ===
ros-jazzy-ros-gz-bridge (1.0.4-1bookworm) bookworm; urgency=high

  * feat: override_timestamps_with_wall_time parameter (backport #562 <https://github.com/gazebosim/ros_gz/issues/562>) (#584 <https://github.com/gazebosim/ros_gz/issues/584>)
    Co-authored-by: Rein Appeldoorn <mailto:rein.appeldoorn@nobleo.nl>
  * Use memcpy instead of std::copy when bridging images (#565 <https://github.com/gazebosim/ros_gz/issues/565>) (#585 <https://github.com/gazebosim/ros_gz/issues/585>)
    While testing ros <-> gz communication using the bridge I noticed that the bridge was talking quite a bit of time copying images from Gazebo to ROS. I found that the std::copy operation that we're doing is substantially slower than the memcpy alternative. I think that in principle this shouldn't happen but the numbers are quite clear. Perhaps std::copy is doing something that doesn't use cache effectively
    ---------
    Co-authored-by: Jose Luis Rivero <jrivero@osrfoundation.org>
    (cherry picked from commit a781b78852112246245c05481db6335388d4f736)
    Co-authored-by: Carlos Agüero <caguero@openrobotics.org>
  * Contributors: mergify[bot]

 -- Aditya Pande <adityapande@intrinsic.ai>  Wed, 28 Aug 2024 16:00:00 -0000

ros-jazzy-ros-gz-bridge (1.0.3-1bookworm) bookworm; urgency=high

  * Add support for gz.msgs.EntityWrench (base branch: ros2) (#573 <https://github.com/gazebosim/ros_gz/issues/573>) (#574 <https://github.com/gazebosim/ros_gz/issues/574>)
    (cherry picked from commit f9afb69d1163633dd978024bb7271a28cf7b551a)
    Co-authored-by: Victor T. Noppeney <mailto:Vtn21@users.noreply.github.com>
  * Contributors: mergify[bot]

 -- Aditya Pande <adityapande@intrinsic.ai>  Sun, 21 Jul 2024 16:00:00 -0000

ros-jazzy-ros-gz-bridge (1.0.2-1bookworm) bookworm; urgency=high

  * Merge pull request #569 <https://github.com/gazebosim/ros_gz//issues/569> from azeey/iron_to_jazzy
    Merge iron ➡️  jazzy
  * Merge iron into jazzy
  * Add option to change material color from ROS. (#521 <https://github.com/gazebosim/ros_gz//issues/521>)
    Forward port of #486 <https://github.com/gazebosim/ros_gz//issues/486>.
    * Message and bridge for MaterialColor.
    This allows bridging MaterialColor from ROS to GZ and is
    important for allowing simulation users to create status lights.
    (cherry picked from commit 78dc4823121f085594e6028a93f1e571eb04f58b)
  * Merge pull request #564 <https://github.com/gazebosim/ros_gz//issues/564> from azeey/humble_to_iron
    Humble ➡️ Iron
  * Merge humble -> iron
  * populate imu covariances when converting (#375 <https://github.com/gazebosim/ros_gz//issues/375>) (#540 <https://github.com/gazebosim/ros_gz//issues/540>)
    Co-authored-by: El Jawad Alaa <mailto:ejalaa12@gmail.com>
  * Prepare for 1.0.0 Release (#495 <https://github.com/gazebosim/ros_gz//issues/495>)
  * Use gz_vendor packages (#531 <https://github.com/gazebosim/ros_gz//issues/531>)
  * [backport Humble] Create bridge for GPSFix msg (#316 <https://github.com/gazebosim/ros_gz//issues/316>) (#538 <https://github.com/gazebosim/ros_gz//issues/538>)
    Co-authored-by: Rousseau Vincent <mailto:vincentrou@gmail.com>
  * [backport Iron] Create bridge for GPSFix msg (#316 <https://github.com/gazebosim/ros_gz//issues/316>) (#537 <https://github.com/gazebosim/ros_gz//issues/537>)
    Co-authored-by: Rousseau Vincent <mailto:vincentrou@gmail.com>
  * 0.244.14
  * Changelog
  * Added conversion for Detection3D and Detection3DArray (#523 <https://github.com/gazebosim/ros_gz//issues/523>) (#526 <https://github.com/gazebosim/ros_gz//issues/526>)
    Co-authored-by: wittenator <mailto:9154515+wittenator@users.noreply.github.com>
  * Added conversion for Detection3D and Detection3DArray (#523 <https://github.com/gazebosim/ros_gz//issues/523>) (#525 <https://github.com/gazebosim/ros_gz//issues/525>)
    Co-authored-by: wittenator <mailto:9154515+wittenator@users.noreply.github.com>
  * [Backport rolling] Add ROS namespaces to GZ topics (#517 <https://github.com/gazebosim/ros_gz//issues/517>)
    Co-authored-by: Krzysztof Wojciechowski <mailto:49921081+Kotochleb@users.noreply.github.com>
  * ign to gz (#519 <https://github.com/gazebosim/ros_gz//issues/519>)
  * Add ROS namespaces to GZ topics (#512 <https://github.com/gazebosim/ros_gz//issues/512>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Correctly export ros_gz_bridge for downstream targets (#503 <https://github.com/gazebosim/ros_gz//issues/503>) (#506 <https://github.com/gazebosim/ros_gz//issues/506>)
  * Add a virtual destructor to suppress compiler warning (#502 <https://github.com/gazebosim/ros_gz//issues/502>) (#505 <https://github.com/gazebosim/ros_gz//issues/505>)
    Co-authored-by: Michael Carroll <mailto:mjcarroll@intrinsic.ai>
  * Correctly export ros_gz_bridge for downstream targets (#503 <https://github.com/gazebosim/ros_gz//issues/503>)
  * Add a virtual destructor to suppress compiler warning (#502 <https://github.com/gazebosim/ros_gz//issues/502>)
  * Add option to change material color from ROS. (#486 <https://github.com/gazebosim/ros_gz//issues/486>)
    * Message and bridge for MaterialColor.
    This allows bridging MaterialColor from ROS to GZ and is
    important for allowing simulation users to create status lights.
    ---------
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    Co-authored-by: Addisu Z. Taddese <mailto:addisuzt@intrinsic.ai>
    Co-authored-by: Addisu Z. Taddese <mailto:addisu@openrobotics.org>
  * 0.244.13
  * Changelog
  * backport pr 374 (#489 <https://github.com/gazebosim/ros_gz//issues/489>)
  * populate imu covariances when converting (#488 <https://github.com/gazebosim/ros_gz//issues/488>)
  * 0.244.12
  * Changelog
  * Backport: Add conversion for geometry_msgs/msg/TwistStamped <-> gz.msgs.Twist (#468 <https://github.com/gazebosim/ros_gz//issues/468>) (#470 <https://github.com/gazebosim/ros_gz//issues/470>)

