=== debian/control ===
Source: ros-jazzy-ros-gz-bridge
Section: misc
Priority: optional
Maintainer: Aditya Pande <adityapande@intrinsic.ai>
Build-Depends: debhelper (>= 9.0.0), pkg-config, ros-jazzy-actuator-msgs, ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-gtest <!nocheck>, ros-jazzy-ament-lint-auto <!nocheck>, ros-jazzy-ament-lint-common <!nocheck>, ros-jazzy-geometry-msgs, ros-jazzy-gps-msgs, ros-jazzy-gz-msgs-vendor, ros-jazzy-gz-transport-vendor, ros-jazzy-launch-ros <!nocheck>, ros-jazzy-launch-testing <!nocheck>, ros-jazzy-launch-testing-ament-cmake <!nocheck>, ros-jazzy-nav-msgs, ros-jazzy-rclcpp, ros-jazzy-rclcpp-components, ros-jazzy-ros-gz-interfaces, ros-jazzy-rosgraph-msgs, ros-jazzy-rosidl-pycommon, ros-jazzy-sensor-msgs, ros-jazzy-std-msgs, ros-jazzy-tf2-msgs, ros-jazzy-trajectory-msgs, ros-jazzy-vision-msgs, ros-jazzy-yaml-cpp-vendor, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-ros-gz-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-actuator-msgs, ros-jazzy-geometry-msgs, ros-jazzy-gps-msgs, ros-jazzy-gz-msgs-vendor, ros-jazzy-gz-transport-vendor, ros-jazzy-nav-msgs, ros-jazzy-rclcpp, ros-jazzy-rclcpp-components, ros-jazzy-ros-gz-interfaces, ros-jazzy-rosgraph-msgs, ros-jazzy-sensor-msgs, ros-jazzy-std-msgs, ros-jazzy-tf2-msgs, ros-jazzy-trajectory-msgs, ros-jazzy-vision-msgs, ros-jazzy-yaml-cpp-vendor, ros-jazzy-ros-workspace
Description: Bridge communication between ROS and Gazebo Transport
